ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2006-10
 
 
1 サマリ
 
 
対象システム
ARMA2.2
パッケージ
ffmpeg
概要
画像ファイルを介した任意のコード実行の可能性
危険度
2
 
 
 
2 詳細
 
 動画・音声ツールの ffmpeg にセキュリティ脆弱性が指摘されています。これは悪意を持って細工された PNG ファイルを ffmpeg のライブラリを使用したアプリケーションが処理した場合に、任意のコードを実行させられてしまう可能性がある、という問題です。
 この問題の詳細については以下を参照してください。
 
「CVE-2005-4048」 Common Vulnerabilities and Exposures
 
 
 アップデート後の ffmpeg 関連パッケージのバージョンは 0.4.8-2o101 に上がります。
 
 
3 対処方法
 
 動画環境構築を完了している場合のみ、以下のようにアップデートを実行してください。動画環境構築を行っていない場合はこのアップデート作業は必要ありません。
 
 
# apt-get update
# apt-get install ffmpeg libavcodec1
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp